From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 August 2011<P>

I have some sad sad news blenderites...<BR>
<BR>
Ren's Captain called me tonight from California. I have been calling and calling her number and asking where she was. He found my number in an address book out on his boat and called to say she has passed away. It was during the time of my convalescence from the auto accident I guess. She was like my sister and I will miss her so much. We used to talk for hours at a time. She was Rennie on the blender and I think she wrote under other names as well. She was a wonderful person that I will  remember always.<BR>
<BR>
Rest In Peace Dearest Rens..you will be truly missed. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=2043">KindredSpirit</a><BR>
Date: 26 August 2011<P>

Em Hatemore, about <a href="/blend/wv.cgi?id=2011.08.25.21.40.18703">Often</a>:<BR>
Welcome to the Blender.<BR>
Nice poem! I really liked it!<BR>
<BR>
ks
<HR>
From: <a href="/blend/av.cgi?id=220">wolfscreamer</a><BR>
Date: 26 August 2011<P>

BK <BR>
<BR>
OMG Rennie was a stalwart of this site for all the years I have been here and was like a friend that was always there.Please let us folks know more when you can please and pass my personal sympathies on to Captain. Look after yourself also OK.<BR>
<BR>
Mike
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 26 August 2011<P>

how awful. very sad news. She was a stalwart here, indeed. May she rest in peace.
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 26 August 2011<P>

So sorry to hear of her passing. Thoughts and prayers going out to Captain and her family.
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 August 2011<P>

WOW, I remember her, good pieces of work, sorry for your lost b.k<BR>
<BR>
KIRK~ as a suggestion you think you could do a dedication of her work on the front page for next month, just some of her work, i know she has alot<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 August 2011<P>

How many blenderites do we have on the east coast??? Ya'll stay safe...run for the hills and take all your pets with you. E-gads Irene looks like a monster. <BR>
<BR>
bk
<HR>